Bug 64329 - redhat-config-time has consistant traceback
redhat-config-time has consistant traceback
Product: Red Hat Linux
Classification: Retired
Component: dateconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-02 11:37 EDT by David Mason
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-10 16:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/ntp.conf file (should be the default values I suppose) (1.72 KB, text/plain)
2002-05-06 15:25 EDT, David Mason
no flags Details
didnt work - traceback from new RPM (518 bytes, text/plain)
2002-05-08 13:35 EDT, David Mason
no flags Details

  None (edit)
Description David Mason 2002-05-02 11:37:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
This is for Valhalla - no bugzilla entry yet

Everytime I try to use rh-config-time I get this:
Traceback (innermost last):
  File "/usr/share/dateconfig/dateconfig.py", line 48, in ?
  File "/usr/share/dateconfig/mainWindow.py", line 125, in __init__
    self.datePage = date_gui.datePage()
  File "/usr/share/dateconfig/date_gui.py", line 181, in __init__
    ntpServer = mainWindow.dateBackend.getNtpServer()
  File "/usr/share/dateconfig/dateBackend.py", line 126, in getNtpServer
    self.ntpServer = tokens[1]
IndexError: list index out of range

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run redhat-config-time

Actual Results:  traceback

Expected Results:  not a traceback

Additional info:
Comment 1 Ngo Than 2002-05-05 16:57:45 EDT
assigned to correct component
Comment 2 Brent Fox 2002-05-06 15:15:29 EDT
Can you attach your /etc/ntp.conf file?
Comment 3 David Mason 2002-05-06 15:25:47 EDT
Created attachment 56444 [details]
/etc/ntp.conf file (should be the default values I suppose)
Comment 4 Brent Fox 2002-05-06 15:47:16 EDT
Hmm, the default file says something like:

server   #Local clock

I'm guessing that you selected to use NTP and then didn't specify a server. 
dateconfig didn't catch the error and wrote a server line with no line specified
and then crashed the next time you started the program because it was trying to
parse a line that it couldn't understand.  Crud.  I'll fix this right away.
Comment 5 Brent Fox 2002-05-08 12:02:54 EDT
dcm, can you install

If that fixes the problem, then I'll push an errata.
Comment 6 David Mason 2002-05-08 13:35:24 EDT
Created attachment 56705 [details]
didnt work - traceback from new RPM
Comment 7 Brent Fox 2002-05-09 12:21:57 EDT
Ok, sorry.  I rebuilt the wrong SRPM.  Try:

Comment 8 David Mason 2002-05-09 15:34:06 EDT
excellent - runs fine now. Errata that puppy.
Comment 9 Brent Fox 2002-05-10 16:40:15 EDT
I've filed the errata request.  I'm waiting for confirmation.
Comment 10 Brent Fox 2002-06-04 16:40:11 EDT
The errata has been pushed.


Note You need to log in before you can comment on or make changes to this bug.